.TH INSFONTS 1 "24\-July\-2008" "D. M. Wilson" "Local Software" 
.SH NAME
insfonts \- install type1 and ttf fonts for use by ghostscript
.
.\" ==========================================================
.
.SH SYNOPSIS
.B insfonts
[
.I options
]
.I file
.
.\" ==========================================================
.
.SH DESCRIPTION
.I insfonts
takes a description of font directories and installs the fonts in them
in a place where
.IR gs (1)
can find them.
.LP
A brief progress report is printed on standard output.
.LP
.I insfonts
also constructs a revised
.I Fontmap
if it has changed.
This must replace the original for the installation to work.
.
.\" ==========================================================
.
.SH OPTIONS
.ds dD \-\^\-
.de tP
.	PD 0
.	TP \$@
.	PD
..
A single \- may be used in place of \*(dD.
.TP
.B \-h
.tP
.B \*(dDhelp
Print a help message and exit.
.TP
.B \-V
.tP
.B \*(dDversion
Print version information and exit.
.TP
.B \-q
.tP
.B \*(dDquiet
Do not print the progress report on stdout.
.TP
.B \-o
.tP
.B \*(dDoutput
Specify an output file to contain the revised
.IR Fontmap .
The default is
.IR ./x-Fontmap .
.TP
.B \-n
.tP
.B \*(dDnofontmap
Do not create an amended
.IR Fontmap .
.
.\" ==========================================================
.
.SH FORMAT OF DATA FILE
In the data file blank lines and lines beginning with
.B #
are ignored.
.LP
The other lines consist of a number of fields, separated by white space.
The first field is a keyword.
The keywords are
.TP
.B INSTALL_DIR
has one field, the destination directory for the installed fonts.
It may occur more than once, if fonts are to be installed in several
directories.
.PP
The directory (or its parent) must contain a file
.IR Fontmap.add ,
whose lines are in one of the forms
.RS
.B "/fontname (file) ;"
.br
.B "/alias /fontname ;
.RE
See the documentation of
.IR gs (1)
for details.
.TP
.B SOURCE
has three fields
.RS
.TP
.I dir
A directory which contains the fonts to be installed;
.TP
.I suffix
The suffix for the fonts in
.IR dir .
For example
.IR pfa .
If there is more than one suffix (e.g. there are also
.I PFA
suffixes), make more than one
.SM SOURCE
entry in the data file.
.TP
.I action
This may be one of
.I link
(meaning make a symbolic link to the source), or
.I copy
(meaning copy the source; needed if the source is transient as on a removable
disk).
.RE
.LP
The progress report prints a dot (.) for each file found but unchanged, and
a plus (+) for each newly installed font.
A warning is given if fonts have changed.
.
.\" ==========================================================
.
.SH FILES
.TP
.I /usr/share/ghostscript/fonts
Recommended directory for installing the fonts, as it is in the font search
path for
.IR gs ,
and may not exist on a new installation.
.TP
.I \&.\|.\|./lib/Fontmap
.IR gs 's
fontmap, try
.I "gs \-h"
to find out where it may be.
.
.\" ==========================================================
.
.SH SEE ALSO
.IR gs (1).
.
.\" ==========================================================
.
.SH DIAGNOSTICS
These are printed on standard error.
If anything is found wrong the program prints an error message and exits.
Warnings may occur, but the program continues.
.
.\" ==========================================================
.
.SH BUGS
.
.\" ==========================================================
.
.SH AUTHOR
.
Denis M. Wilson, Aberdeen, Scotland
.
.\" ==========================================================
.
.\" $Id: insfonts.man,v 1.4 2008/08/03 11:53:42 dmw Exp $
