.ds aF afmtodit
.ds pS \s'-2'\H'+2'P\H'0'OST\H'+2'S\H'0'CRIPT\s'0'
.TH MKGROFF 1 28\-June\-2008 "D. M. Wilson" "Local Software" 
.SH NAME
mkgroff \- make groff font files for the postscript output device
.
.\" ================================================
.
.SH SYNOPSIS
.B mkgroff
[
.I options
]
.I data-file

.
.\" ================================================
.
.SH DESCRIPTION
.I mkgroff
reads data regarding fonts and font families and creates a set of corresponding
font files for the
.I groff
output device
.IR devps.
.LP
It generates a script in a temporary file;
The script, when executed, checks directories and invokes
.IR \*(aF (1).
.
.\" ================================================
.
.SH OPTIONS
.ds dD \-\^\-
.de tP
.	PD 0
.	TP \$@
.	PD
..
(A single \- may be used in place of \*(dD)
.TP
.B \-h
.tP
.B \*(dDhelp
Print this help message and exit.
.TP
.B \*(dDversion
Print version information and exit.
.TP
.BI \-b dir
.tP
.BI \*(dDbuild= dir
Build the generated fonts in given directory.
The default is the directory
.IR ./BUILD .
.TP
.B \-k
.tP
.B \*(dDkeep
Keep the `FontName' given in the AFM file.
.TP
.B \-n
.tP
.B \*(dDnorun
Do not run the generated script; instead print it to standard output.
.TP
.B \*(dDverb
Print the fonts and files before processing.
.
.\" ================================================
.
.SH "DATA FILE FORMAT"
.TP
.BR 1.
.B #
is ignored to end of line, and then blank lines are ignored.
.TP
.BR 2.
The other lines consist of 1 to 5 fields in family groups.
The fields are separated by one or more tabs.
The first line of a group starts with the word
.BR Family .
The last line contains just 3 dashes (\-\^\-\^\-).
The intermediate lines describe fonts which make up the styles of the family.
.
.\" ------------------------------------------------
.
.SS "Family lines"
.nr nW \w'0.'
.nr sW \w'\fIgroffname\fP'
.nr dW \n(.l-\n(.i-(\n(nW+3n+\n(sW+3n)
.TS
tab(@);
lw(\n(nWu) liw(\n(sWu) lw(\n(dWu).
1.@Family@The word \fIFamily\fP.
2.@groffname@The groff family name, eg T for Times.
3.@kind@T{
The kind of font: either \fItext\fP, indicating a text font, or
\fIsymb\fP indicating a symbol font (will be special).
T}
4.@psname@T{
The \*(pS family name.
Used only for annotating the generated script.
T}
5.@options@T{
Zero or more comma-separated values:
\fBenc\fP=\fIfile\fP
(file is the name of an encoding
file), or
\fBmap\fP=\fIfile\fP
(map file).
There are defaults for these if \fIkind\fP = \fBtext\fP.
T}
.TE
.
.\" ------------------------------------------------
.
.SS "Style lines"
.TS
tab(@);
lw(\n(nWu) liw(\n(sWu) lw(\n(dWu).
1.@style@T{
The groff
.IR style ;
This will be appended to the groff name to make the groff font.
For example style I as appended to family T to make font TI (Times-Italic).
T}
2.@afm-file@T{
This is the name of the AFM file for the font (eg Times-Italic) in the
specified directory.
The extension
.I .afm
is supplied if required.
T}
3.@options@T{
This consists of zero or more comma-separated keywords, some of which may
be followed by a value introduced by the character
.BR = .
If the list is empty, replace it by the single \- character.
The list is given in the next table.
T}
4.@ps-name@T{
This is optional, but if given will replace the
.B internalname
in the generated file unless the
.B \-k
option is given.
The name must clearly be one known to the \*(pS interpreter.
T}
.TE
The style may be a single \- which is used if the font is not part
of a family; the groff name as given by the Family line is unadorned.
Use this for standalone fonts.
.
.\" ------------------------------------------------
.
.SS "Style options"
The keyword type is boolean, taking a value or taking an optional value.
There may be defaults if the keyword entry is absent or if an optional
value is absent.
.TS
tab(@);
lb lb lb lb lb
lb lb lb lb lb
li1 l1 l1 l1 l.
Keyword@Type@Default@Default@Description
\^@\^@\^@value@\^
ital@val-opt@none@50@The \-i option to \*(aF
angle@val@none@\-@The \-a option to \*(aF
nolig@bool@\-@\-@Exclude ligatures
@@@@(for mono-spaced fonts)
nokern@bool@\-@\-@Exclude kerning information
@@@@(for mono-spaced fonts)
enc@val@as family@\-@
map@val@as family@\-@
noadobe@bool@\-@\-@The \-x option to \*(aF
.TE
.
.\" ================================================
.
.SH FILES
.TP
.I BUILD
Default directory where fonts are created
.TP
.IB mkgroff-tmp. nnn
Temporary file with created script.
.TP
.I x-tempuse ", " x-tempfont
Temporary files created on the fly while invoking
.IR \*(aF .
.SH SEE ALSO
.IR \*(aF (1).
.SH DIAGNOSTICS
.SH BUGS
.SH AUTHOR
Denis M. Wilson, Aberdeen, Scotland
.\" $Id: mkgroff.man,v 1.3 2008/08/03 12:03:28 dmw Exp $
